version: '3.7'

services:
  web:
    build: ./app
    command: python manage.py runserver 0.0.0.0:8000
    volumes:
      - ./app/:/usr/src/app/
    ports:
      - 8000:8000
    environment:
      DEBUG: 1
      SECRET_KEY: foo
      DJANGO_ALLOWED_HOSTS=: localhost 127.0.0.1 [::1]"
      SQL_ENGINE: django.db.backends.postgresql
      SQL_DATABASE: ppay_dev
      SQL_USER: ppay
      SQL_PASSWORD: ppay
      SQL_HOST: db
      SQL_PORT: 5432
      DATABASE: postgres
      SDC_USERNAME: sdc
      SDC_PASSWORD: sdc
      CSI_USERNAME: csi
      CSI_PASSWORD: csi
  db:
    image: postgres:12.0-alpine
    volumes:
      - postgres_data:/var/lib/postgresql/data/
    environment:
      POSTGRES_USER: ppay
      POSTGRES_PASSWORD: ppay
      POSTGRES_DB: ppay_dev
  pgweb:
    restart: always
    image: sosedoff/pgweb
    ports:
      - "8081:8081"
    links:
      - db:postgres
    environment:
      DATABASE_URL: postgres://ppay:ppay@db:5432/ppay_dev?sslmode=disable
    depends_on:
      - db

volumes:
  postgres_data: